%global git_hash_version 23da1497f80dbace48b7807afd3570c57a4d5994
Name:           luppp
Version:        1.3.0~rc0
Release:        1%{?dist}
Summary:        Lupp live looping tool
License:        GPLv2
URL:            https://github.com/openAVproductions/openAV-Luppp
Source0:        https://github.com/openAVproductions/openAV-Luppp/archive/%{git_hash_version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  git
BuildRequires:  libtool
BuildRequires:  meson
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(ntk)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndfile)

%description
Luppp is a live looping performance tool, created by OpenAV productions.

%prep
%autosetup -p1 -Sgit -n openAV-Luppp-%{git_hash_version}


%build
%meson
%meson_build


%install
%meson_install


%post
touch --no-create %{_datadir}/icons/pixmaps &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/pixmaps &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/pixmaps &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/pixmaps &>/dev/null || :

%files
%license LICENSE
%doc     README.md
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Tue Oct 25 2022 Olivier Samyn 🎻 <code@oleastre.be>
- Initial package
